import React, { useState } from "react";
import logo from "./logo.svg";
import "./App.css";
import Conversation from "./features/conversations/Conversation";

interface GreeterProps {
  name: string;
  setName: (name: string) => void;
}

const Greeter: React.FC<GreeterProps> = ({ name, setName }) => {
  return (
    <div>
      {name.length ? <>Hello </> : <>What is your name? </>}
      <input
        autoComplete="off"
        className="border-b focus:border-lime-400 border-gray-50 focus:outline-none text-center bg-transparent"
        autoFocus
        type="text"
        style={{
          width: Math.max(100, 10 * name.length) + "px",
        }}
        value={name}
        onChange={(e) => setName(e.target.value)}
      />
    </div>
  );
};

function App() {
  const [count, setCount] = useState(0);
  const [name, setName] = useState("");
  return (
    <div>
      <Conversation />
    </div>
  );
}

export default App;
